/* -*- Mode: C -*- */

/* This makes the output of ftx.pl (without C prefix) directly
 * compatible with libliquid by setting up a few defines so
 * that the API matches that defined in liquid-font.h. */

#ifndef LIQ_FTXDEF_H_20943209898234
#define LIQ_FTXDEF_H_20943209898234

#define font_class_t          LiqFont
#define encoding_t            LiqEncoding
#define coord_x_t             LiqX
#define coord_y_t             LiqY
#define glyph_id_t            LiqGlyph
#define code_point_t          LiqCodePoint
#define column_data_t         LiqColumnData
#define lang_set_t            LiqLanguageSet
#define uint8_t               LiqUInt8
#define uint16_t              LiqUInt16
#define uint32_t              LiqUInt32
#define bituint8_t            LIQ_UBITS8
#define bituint16_t           LIQ_UBITS16
#define bituint32_t           LIQ_UBITS32
#define bool_t                LiqBool
#define glyph_flags_t         LiqGlyphFlagSet
#define language_code(LC,UC)  LIQ_LANG_##UC
#define glyph_flag(LC,UC)     LIQ_GLYPH_##UC
#define encoding(LC,UC)       LIQ_ENC_##UC

#endif /* LIQ_FTXDEF_H_20943209898234 */
